(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 10.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc. For additional information concerning CDF     *)
(*  licensing and redistribution see:                                    *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1064,         20]
NotebookDataLength[     11239,        286]
NotebookOptionsPosition[     11602,        274]
NotebookOutlinePosition[     12169,        298]
CellTagsIndexPosition[     12126,        295]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["y=tan x \:306e\:30b0\:30e9\:30d5", "Subchapter", "PluginEmbeddedContent"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`c$$ = 1, $CellContext`d$$ = 
    0, $CellContext`f$$ = 1, $CellContext`t$$ = 8.274955049555516, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"\:540d\:79f0\:672a\:5b9a\:7fa9\"", 
    Typeset`specs$$ = {{
      Hold[$CellContext`t$$], 0, 3 Pi}, {{
       Hold[$CellContext`c$$], 0, "\:30b0\:30e9\:30d5"}, {0, 1}}, {{
       Hold[$CellContext`d$$], 0, 
       "\:30b0\:30e9\:30d5(0\[LessEqual]x\[LessEqual]2\[Pi])"}, {0, 1}}, {{
       Hold[$CellContext`f$$], 0, "\:6f38\:8fd1\:7dda"}, {0, 1}}}, 
    Typeset`size$$ = {576., {214., 219.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`t$78746$$ = 0, $CellContext`c$78747$$ = 
    False, $CellContext`d$78748$$ = False, $CellContext`f$78749$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`c$$ = 0, $CellContext`d$$ = 
        0, $CellContext`f$$ = 0, $CellContext`t$$ = 0}, "ControllerVariables" :> {
        Hold[$CellContext`t$$, $CellContext`t$78746$$, 0], 
        Hold[$CellContext`c$$, $CellContext`c$78747$$, False], 
        Hold[$CellContext`d$$, $CellContext`d$78748$$, False], 
        Hold[$CellContext`f$$, $CellContext`f$78749$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        Graphics[{Arrowheads -> Large, 
          Thickness[0.004], {
           PointSize[Large], 
           Point[{
             Cos[$CellContext`t$$], 
             Sin[$CellContext`t$$]}], 
           Point[{$CellContext`t$$ + 7 (Pi/6), 
             Tan[$CellContext`t$$]}], 
           Point[{1, 
             Tan[$CellContext`t$$]}], 
           If[$CellContext`t$$ >= 0, 
            Point[{7 (Pi/6), 
              Tan[0]}]], 
           If[$CellContext`t$$ >= 1 (Pi/6), 
            Point[{Pi/6 + 7 (Pi/6), 
              Tan[Pi/6]}]], 
           If[$CellContext`t$$ >= 2 (Pi/6), 
            Point[{2 (Pi/6) + 7 (Pi/6), 
              Tan[2 (Pi/6)]}]], 
           If[$CellContext`t$$ >= 4 (Pi/6), 
            Point[{4 (Pi/6) + 7 (Pi/6), 
              Tan[4 (Pi/6)]}]], 
           If[$CellContext`t$$ >= 5 (Pi/6), 
            Point[{5 (Pi/6) + 7 (Pi/6), 
              Tan[5 (Pi/6)]}]], 
           If[$CellContext`t$$ >= 6 (Pi/6), 
            Point[{6 (Pi/6) + 7 (Pi/6), 
              Tan[6 (Pi/6)]}]], 
           If[$CellContext`t$$ >= 7 (Pi/6), 
            Point[{7 (Pi/6) + 7 (Pi/6), 
              Tan[7 (Pi/6)]}]], 
           If[$CellContext`t$$ >= 8 (Pi/6), 
            Point[{8 (Pi/6) + 7 (Pi/6), 
              Tan[8 (Pi/6)]}]], 
           If[$CellContext`t$$ >= 10 (Pi/6), 
            Point[{10 (Pi/6) + 7 (Pi/6), 
              Tan[10 (Pi/6)]}]], 
           If[$CellContext`t$$ >= 11 (Pi/6), 
            Point[{11 (Pi/6) + 7 (Pi/6), 
              Tan[11 (Pi/6)]}]], 
           If[$CellContext`t$$ >= 12 (Pi/6), 
            Point[{12 (Pi/6) + 7 (Pi/6), 
              Tan[12 (Pi/6)]}]], 
           If[$CellContext`t$$ >= 13 (Pi/6), 
            Point[{13 (Pi/6) + 7 (Pi/6), 
              Tan[13 (Pi/6)]}]], 
           If[$CellContext`t$$ >= 14 (Pi/6), 
            Point[{14 (Pi/6) + 7 (Pi/6), 
              Tan[14 (Pi/6)]}]], 
           If[$CellContext`t$$ >= 16 (Pi/6), 
            Point[{16 (Pi/6) + 7 (Pi/6), 
              Tan[16 (Pi/6)]}]], 
           If[$CellContext`t$$ >= 17 (Pi/6), 
            Point[{17 (Pi/6) + 7 (Pi/6), 
              Tan[17 (Pi/6)]}]], 
           If[$CellContext`t$$ >= 18 (Pi/6), 
            Point[{18 (Pi/6) + 7 (Pi/6), 
              Tan[18 (Pi/6)]}]], 
           If[$CellContext`t$$ >= 19 (Pi/6), 
            Point[{19 (Pi/6) + 7 (Pi/6), 
              Tan[19 (Pi/6)]}]], 
           If[$CellContext`f$$ == 1, {Dashed, 
             Line[{{7 (Pi/6) + Pi/2, -10}, {7 (Pi/6) + Pi/2, 10}}], 
             Line[{{7 (Pi/6) + 3 (Pi/2), -10}, {7 (Pi/6) + 3 (Pi/2), 10}}], 
             Line[{{7 (Pi/6) + 5 (Pi/2), -10}, {7 (Pi/6) + 5 (Pi/2), 10}}]}], 
           If[$CellContext`f$$ == 1, {
             Text[
              Style[
              "x=\!\(\*FractionBox[\(\[Pi]\), \(2\)]\)", 15], {
               7 (Pi/6) + Pi/2, 2.5} + {0.7, 0}], 
             Text[
              Style[
              "x=\!\(\*FractionBox[\(3  \[Pi]\), \(2\)]\)", 15], {
               7 (Pi/6) + 3 (Pi/2), 2.5} + {0.7, 0}], 
             Text[
              Style[
              "x=\!\(\*FractionBox[\(5  \[Pi]\), \(2\)]\)", 15], {
               7 (Pi/6) + 5 (Pi/2), 2.5} + {0.7, 0}]}]}, 
          Circle[{0, 0}, 1], {Blue, 
           Line[{{
              Cos[$CellContext`t$$], 
              Sin[$CellContext`t$$]}, {0, 0}, {1, 
              Tan[$CellContext`t$$]}}]}}, AspectRatio -> Automatic, AxesStyle -> 
         Blue, GridLines -> {
           Range[5 (Pi/6), 14, Pi/6], 
           Range[-1, 1.2, 1]}, PlotRange -> {{-2, 14}, {-5, 7}}, ImageSize -> 
         Large], 
        Graphics[{{Blue, Dotted, 
           Line[{{-2, 3^Rational[1, 2]}, {15, 3^Rational[1, 2]}}]}, {
          Blue, Dotted, 
           Line[{{-2, 1/3^Rational[1, 2]}, {15, 1/3^Rational[1, 2]}}]}, {
          Blue, Dotted, 
           Line[{{-2, -3^Rational[1, 2]}, {15, -3^Rational[1, 2]}}]}, {
          Blue, Dotted, 
           Line[{{-2, -(1/3^Rational[1, 2])}, {15, -(1/3^Rational[1, 2])}}]}, 
          Circle[{0, 0}, 1], {Blue, 
           Line[{{1, 
              Tan[Pi/6]}, -{
               Cos[Pi/6], 
               Sin[Pi/6]}}]}, {Blue, 
           Line[{{1, 
              Tan[2 (Pi/6)]}, -{
               Cos[2 (Pi/6)], 
               Sin[2 (Pi/6)]}}]}, {Blue, 
           Line[{{1, 
              Tan[4 (Pi/6)]}, {
              Cos[4 (Pi/6)], 
              Sin[4 (Pi/6)]}}]}, {Blue, 
           Line[{{1, 
              Tan[5 (Pi/6)]}, {
              Cos[5 (Pi/6)], 
              Sin[5 (Pi/6)]}}]}, {Blue, 
           Line[{{$CellContext`t$$ + 7 (Pi/6), 
              Tan[$CellContext`t$$]}, {1, 
              Tan[$CellContext`t$$]}}]}, {Blue, 
           Arrow[{{-5, 0}, {2, 0}}]}, {Blue, 
           Arrow[{{2.5, 0}, {14, 0}}]}, {Blue, 
           Arrow[{{0, -5}, {0, 5}}]}, {Blue, 
           Arrow[{{7 (Pi/6), -5}, {7 (Pi/6), 5}}]}, {Red, 
           Line[{{1, -5}, {1, 5}}]}, 
          Text[
           Style["O", 15], {7 (Pi/6), 0} + {-0.2, -0.3}], 
          Text[
           Style["1", 12], {7 (Pi/6), 1} + {-0.2, 0.1}], 
          Text[
           Style["-1", 12], {7 (Pi/6), -1} + {-0.2, -0.1}], 
          Text[
           Style["\[Pi]", 12], {7 (Pi/6) + Pi, 0} + {0, -0.2}], 
          Text[
           Style["2\[Pi]", 12], {2 Pi + 7 (Pi/6), 0} + {0, 0.2}], 
          Text[
           Style["1", 12], {1, 0} + {0.2, 0.1}], 
          Text[
           Style["1", 12], {0, 1} + {-0.2, 0.15}], 
          Text[
           Style["y=tan x \:306e\:30b0\:30e9\:30d5", 20], {0, 6}]}], 
        Graphics[
         If[$CellContext`t$$ < Pi/2 - 0.01, 
          Plot[
           
           Tan[$CellContext`x - 7 (Pi/6)], {$CellContext`x, 7 (Pi/6) - 
            0.01, $CellContext`t$$ + 7 (Pi/6)}, PlotStyle -> 
           Opacity[$CellContext`c$$]], 
          Plot[
           
           Tan[$CellContext`x - 7 (Pi/6)], {$CellContext`x, 7 (Pi/6), Pi/2 - 
            0.1 + 7 (Pi/6)}, PlotStyle -> Opacity[$CellContext`c$$]]]], 
        Graphics[
         If[$CellContext`t$$ > Pi/2 + 0.01, 
          If[$CellContext`t$$ < 3 (Pi/2) - 0.01, 
           Plot[
            
            Tan[$CellContext`x - 7 (Pi/6)], {$CellContext`x, Pi/2 + 7 (Pi/6) + 
             0.01, $CellContext`t$$ + 7 (Pi/6)}, PlotStyle -> 
            Opacity[$CellContext`c$$]], 
           Plot[
            
            Tan[$CellContext`x - 7 (Pi/6)], {$CellContext`x, Pi/2 + 0.01 + 
             7 (Pi/6), 3 (Pi/2) - 0.01 + 7 (Pi/6)}, PlotStyle -> 
            Opacity[$CellContext`c$$]]]]], 
        Graphics[
         If[$CellContext`t$$ > 3 (Pi/2) + 0.01, 
          If[$CellContext`t$$ < 5 (Pi/2) - 0.01, 
           Plot[
            
            Tan[$CellContext`x - 7 (Pi/6)], {$CellContext`x, 3 (Pi/2) + 
             7 (Pi/6) + 0.01, $CellContext`t$$ + 7 (Pi/6)}, PlotStyle -> 
            Opacity[$CellContext`c$$]], 
           Plot[
            
            Tan[$CellContext`x - 7 (Pi/6)], {$CellContext`x, 3 (Pi/2) + 0.01 + 
             7 (Pi/6), 5 (Pi/2) - 0.01 + 7 (Pi/6)}, PlotStyle -> 
            Opacity[$CellContext`c$$]]]]], 
        Graphics[
         If[$CellContext`t$$ > 5 (Pi/2) + 0.01, 
          Plot[
           
           Tan[$CellContext`x - 7 (Pi/6)], {$CellContext`x, 5 (Pi/2) + 
            7 (Pi/6) + 0.01, $CellContext`t$$ + 7 (Pi/6)}, PlotStyle -> 
           Opacity[$CellContext`c$$]]]], 
        Graphics[
         Plot[
          If[Abs[
             Tan[$CellContext`x - 7 (Pi/6)]] < 20, 
           Tan[$CellContext`x - 7 (Pi/6)]], {$CellContext`x, 7 (Pi/6), 2 Pi + 
           7 (Pi/6)}, PlotStyle -> {Red, 
            Opacity[$CellContext`d$$], 
            Thickness[0.005]}]]], 
      "Specifications" :> {{$CellContext`t$$, 0, 3 
         Pi}, {{$CellContext`c$$, 0, "\:30b0\:30e9\:30d5"}, {0, 
         1}}, {{$CellContext`d$$, 0, 
          "\:30b0\:30e9\:30d5(0\[LessEqual]x\[LessEqual]2\[Pi])"}, {0, 
         1}}, {{$CellContext`f$$, 0, "\:6f38\:8fd1\:7dda"}, {0, 1}}}, 
      "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{627., {286., 293.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output", "PluginEmbeddedContent"]
}, Open  ]]
},
WindowSize->{668, 617},
WindowMargins->{{340, Automatic}, {Automatic, 15}},
Visible->True,
AuthoredSize->{669, 637},
ScrollingOptions->{"HorizontalScrollRange"->Fit,
"VerticalScrollRange"->Fit},
ShowCellBracket->False,
Deployed->True,
CellContext->Notebook,
TrackCellChangeTimes->False,
FrontEndVersion->"10.0 for Microsoft Windows (32-bit) (2014\:5e747\:67089\
\:65e5)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[1486, 35, 79, 0, 39, "Subchapter"],
Cell[1568, 37, 10018, 234, 581, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature fupqe@WN3J0sTC1s0wnasoW@ *)
